package com.ruoyi.warehouseBusiness.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 仓库主(出入库)对象 t_warehousebills_modify
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public class TWarehousebillsModify extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 上级id
     */
    private Long fPid;

    /**
     * 业务编号,格式RK+YYYY+YY+NNN,编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。
     * RK CK DB HZ
     */
    @Excel(name = "业务编号,格式RK+YYYY+YY+NNN,编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。 RK CK DB HZ ")
    private String fBillno;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /**
     * 单据类型
     */
    @Excel(name = "单据类型")
    private String fBilltype;

    /**
     * 提单号
     */
    @Excel(name = "收付")
    private String fDc;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 货物品名
     */
    @Excel(name = "货物品名")
    private String fGoodsid;

    /**
     * 唛头
     */
    @Excel(name = "唛头")
    private String fMarks;

    /**
     * 仓库id
     */
    @Excel(name = "仓库id")
    private Long fWarehouseid;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 业务时间 HH:MM:SS
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务时间 HH:MM:SS", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBstime;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 客户信息
     */
    private String corpName;

    /**
     * 制单时间
     */
    private List<String> createTimeList;

    /**
     * 业务时间
     */
    private List<String> bstimeList;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Long getfWarehouseid() {
        return fWarehouseid;
    }

    public void setfWarehouseid(Long fWarehouseid) {
        this.fWarehouseid = fWarehouseid;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public Date getfBstime() {
        return fBstime;
    }

    public void setfBstime(Date fBstime) {
        this.fBstime = fBstime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public List<String> getCreateTimeList() {
        return createTimeList;
    }

    public void setCreateTimeList(List<String> createTimeList) {
        this.createTimeList = createTimeList;
    }

    public List<String> getBstimeList() {
        return bstimeList;
    }

    public void setBstimeList(List<String> bstimeList) {
        this.bstimeList = bstimeList;
    }
}
